<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public string $migration;
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->create('tgbot', function (Blueprint $table) {
            $table->increments('id');
            $table->bigInteger('bot_id')->nullable(false);
            $table->bigInteger('dialog_id')->nullable(false);
            $table->integer('user_id')->nullable();
            $table->string('username', 255)->nullable(false);
            $table->string('first_name', 255)->nullable();
            $table->string('last_name', 255)->nullable();
            $table->integer('status')->nullable()->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->dropIfExists('tgbot');
    }
};
